searchNodes=[{"ref":"Validation.html","title":"Validation","type":"module","doc":"Easy. Simple. Powerful. Elixir Validation library with +25 fully tested rules. (+30 coming up soon!) ** Library under development! Roadmap: upcoming new rules. Demo # alias Validation, as: V # valid data will return true V.email(&quot;hello@gmail.com&quot;) V.uuid(&quot;e4eaaaf2-d142-11e1-b3e4-080027620cdd&quot;) V.credit_card(&quot;4882743696073832&quot;) V.mac_address(&quot;12-77-0E-42-E4-65&quot;) V.consonants(&quot;bcdfgh&quot;) V.country_code(&quot;US&quot;) # invalid data will return false V.language_code(&quot;qq&quot;) # could be something like &quot;en&quot;, &quot;pt&quot; or &quot;de&quot; V.vowel(&quot;bcdf&quot;) # could be something like &quot;aeiou&quot; V.yes(&quot;nope&quot;) # could be something like &quot;yes&quot;, &quot;yeah&quot;, &quot;yeap&quot; V.is_odd(2) # could be something like 3 or 5..."},{"ref":"Validation.html#alpha/1","title":"Validation.alpha/1","type":"function","doc":"Validates whether the input is alpha. # true V.alpha(&quot;&quot;) V.alpha(&quot;a&quot;) V.alpha(&quot;john&quot;) V.alpha(&quot;doe&quot;) V.alpha(&quot;foobar&quot;) # false V.alpha(&quot;123&quot;) V.alpha(&quot;number 100%&quot;) V.alpha(&quot;@#$&quot;) V.alpha(&quot;_&quot;) V.alpha(&quot;dgç&quot;)"},{"ref":"Validation.html#alpha/2","title":"Validation.alpha/2","type":"function","doc":"Validates whether the input is alpha, excluding specific characters. # true V.alpha(&quot;john_&quot;, &quot;_&quot;) V.alpha(&quot;google.com&quot;, &quot;.&quot;) V.alpha(&quot;john doe&quot;, &quot; &quot;) # false V.alpha(&quot;john_123&quot;, &quot;$&quot;) V.alpha(&quot;google.com321&quot;, &quot;*&quot;) V.alpha(&quot;john doe1&quot;, &quot;_&quot;)"},{"ref":"Validation.html#alphanumeric/1","title":"Validation.alphanumeric/1","type":"function","doc":"Validates whether the input is alphanumeric. # true V.alphanumeric(&quot;foo123&quot;); V.alphanumeric(&quot;100number&quot;); # false V.alphanumeric(&quot;number 100%&quot;); V.alphanumeric(&quot;foo_bar&quot;);"},{"ref":"Validation.html#alphanumeric/2","title":"Validation.alphanumeric/2","type":"function","doc":"Validates whether the input is alphanumeric, excluding specific characters. # true V.alphanumeric(&quot;foo 123&quot;, &quot; &quot;); V.alphanumeric(&quot;foo_123&quot;, &quot;_&quot;); # false V.alphanumeric(&quot;number 100%&quot;, &quot;%&quot;); V.alphanumeric(&quot;foo_bar&quot;, &quot;%&quot;);"},{"ref":"Validation.html#between/3","title":"Validation.between/3","type":"function","doc":"Validates ranges. # true V.between(15, 10, 20) V.between(70, 0, 100) # false V.between(15, 20, 30) V.between(70, 300, 999)"},{"ref":"Validation.html#cnh/1","title":"Validation.cnh/1","type":"function","doc":"Validates whether the input is a valid CNH (brazilian driver license ID). # true V.cnh(&quot;02650306461&quot;) V.cnh(&quot;04397322870&quot;) V.cnh(&quot;04375701302&quot;) V.cnh(&quot;02996843266&quot;) V.cnh(&quot;04375700501&quot;) # false V.cnh(&quot;&quot;) V.cnh(&quot;0000000000&quot;) V.cnh(&quot;9999999999&quot;) V.cnh(&quot;0265131640&quot;) V.cnh(&quot;0439732280&quot;)"},{"ref":"Validation.html#cnpj/1","title":"Validation.cnpj/1","type":"function","doc":"Validates whether the input is a valid CNPJ (brazilian company ID). # true V.cnpj(&quot;32.063.364/0001-07&quot;) V.cnpj(&quot;27.355.204/0001-00&quot;) V.cnpj(&quot;36.310.327/0001-07&quot;) V.cnpj(&quot;37550610000179&quot;) V.cnpj(&quot;12774546000189&quot;) # false V.cnpj(&quot;12.345.678/9012-34&quot;) V.cnpj(&quot;11.111.111/1111-11&quot;) V.cnpj(&quot;00000000000000&quot;) V.cnpj(&quot;99-010-0.&quot;)"},{"ref":"Validation.html#consonant/1","title":"Validation.consonant/1","type":"function","doc":"Validates whether the input is has only consonants. # true V.consonant(&quot;w&quot;) V.consonant(&quot;y&quot;) V.consonant(&quot;qrst&quot;) V.consonant(&quot;bcdfghklmnp&quot;) # false V.consonant(&quot;a&quot;) V.consonant(&quot;ul&quot;) V.consonant(&quot;aeiou&quot;) V.consonant(&quot;Foo&quot;)"},{"ref":"Validation.html#consonant/2","title":"Validation.consonant/2","type":"function","doc":"Validates whether the input is has only consonants, excluding specific characters. # true V.consonant(&quot;www%&quot;, &quot;%&quot;) V.consonant(&quot;bcd_fgh&quot;, &quot;_&quot;) V.consonant(&quot;www www__www&quot;, &quot; _&quot;) # false V.consonant(&quot;awww%&quot;, &quot;%&quot;) V.consonant(&quot;uwwwq&quot;, &quot;_&quot;)"},{"ref":"Validation.html#country_code/2","title":"Validation.country_code/2","type":"function","doc":"Validates country codes like US, DE or BR according to ISO 639. # true V.country_code(&quot;US&quot;, :alpha2) V.country_code(&quot;USA&quot;, :alpha3) V.country_code(&quot;BR&quot;, :alpha2) V.country_code(&quot;BRA&quot;, :alpha3) V.country_code(&quot;DE&quot;, :alpha2) V.country_code(&quot;DEU&quot;, :alpha3) V.country_code(&quot;076&quot;, :numeric) # Brazil # false V.country_code(&quot;USAAAAA&quot;, :unknown_type) The rules use data from iso-codes."},{"ref":"Validation.html#cpf/1","title":"Validation.cpf/1","type":"function","doc":"Validates whether the input is a valid CPF (brazilian ID). # true V.cpf(&quot;350.45261819&quot;) V.cpf(&quot;693-319-118-40&quot;) V.cpf(&quot;11598647644&quot;) V.cpf(&quot;86734718697&quot;) V.cpf(&quot;3.6.8.8.9.2.5.5.4.8.8&quot;) # false V.cpf(&quot;&quot;) V.cpf(&quot;01234567890&quot;) V.cpf(&quot;000.000.000-00&quot;) V.cpf(&quot;111.222.444-05&quot;) V.cpf(&quot;999999999.99&quot;) V.cpf(&quot;8.8.8.8.8.8.8.8.8.8.8&quot;) V.cpf(&quot;693-319-110-40&quot;)"},{"ref":"Validation.html#credit_card/1","title":"Validation.credit_card/1","type":"function","doc":"Validates whether the input is a valid credit card. # true V.credit_card(&quot;2223000048400011&quot;) V.credit_card(&quot;2222 4000 4124 0011&quot;) V.credit_card(&quot;4024.0071.5336.1885&quot;) # false V.credit_card(&quot;it isnt my credit c)ard number&quot;) V.credit_card(&quot;1234 1234 1234 1234&quot;) V.credit_card(&quot;1234.1234.1234.12__34&quot;)"},{"ref":"Validation.html#credit_card_amex/1","title":"Validation.credit_card_amex/1","type":"function","doc":"Validates whether the input is a valid American Express (amex) credit card. # true V.credit_card_amex(&quot;340-3161-9380-9364&quot;) # false V.credit_card_amex(&quot;5376 7473 9720 8720&quot;) # master V.credit_card_amex(&quot;4024.0071.5336.1885&quot;) # visa"},{"ref":"Validation.html#credit_card_diners/1","title":"Validation.credit_card_diners/1","type":"function","doc":"Validates whether the input is a valid Diners credit card. # true V.credit_card_diners(&quot;30351042633884&quot;) # false V.credit_card_diners(&quot;5376 7473 9720 8720&quot;) # master V.credit_card_diners(&quot;4024.0071.5336.1885&quot;) # visa"},{"ref":"Validation.html#credit_card_discover/1","title":"Validation.credit_card_discover/1","type":"function","doc":"Validates whether the input is a valid Discover credit card. # true V.credit_card_discover(&quot;6011000990139424&quot;) # false V.credit_card_discover(&quot;5376 7473 9720 8720&quot;) # master V.credit_card_discover(&quot;4024.0071.5336.1885&quot;) # visa"},{"ref":"Validation.html#credit_card_jcb/1","title":"Validation.credit_card_jcb/1","type":"function","doc":"Validates whether the input is a valid Jcb credit card. # true V.credit_card_jcb(&quot;3566002020360505&quot;) # false V.credit_card_jcb(&quot;5376 7473 9720 8720&quot;) # master V.credit_card_jcb(&quot;4024.0071.5336.1885&quot;) # visa"},{"ref":"Validation.html#credit_card_master/1","title":"Validation.credit_card_master/1","type":"function","doc":"Validates whether the input is a valid Master credit card. # true V.credit_card_master(&quot;5376 7473 9720 8720&quot;) # false V.credit_card_master(&quot;340-3161-9380-9364&quot;) # amex V.credit_card_master(&quot;4024.0071.5336.1885&quot;) # visa"},{"ref":"Validation.html#credit_card_visa/1","title":"Validation.credit_card_visa/1","type":"function","doc":"Validates whether the input is a valid VISA credit card. # true V.credit_card_visa(&quot;4024 007 193 879&quot;) V.credit_card_visa(&quot;4024.0071.5336.1885&quot;) # false V.credit_card_visa(&quot;340-3161-9380-9364&quot;) # amex V.credit_card_visa(&quot;5376 7473 9720 8720&quot;) # master"},{"ref":"Validation.html#currency_code/1","title":"Validation.currency_code/1","type":"function","doc":"Validates a currency code like USD, EUR or GBP according to ISO 4217. # true V.currency_code(&quot;USD&quot;) V.currency_code(&quot;EUR&quot;) V.currency_code(&quot;GBP&quot;) # false V.currency_code(&quot;QQQ&quot;) V.currency_code(&quot;2---1&quot;) V.currency_code(&quot;nope&quot;) The rules use data from iso-codes."},{"ref":"Validation.html#digit/1","title":"Validation.digit/1","type":"function","doc":"Validates whether the input is a valid digit. # true V.digit(&quot;165&quot;) V.digit(&quot;01650&quot;) V.digit(&quot;01&quot;) # false V.digit(&quot;&quot;) V.digit(&quot;-1.1&quot;) V.digit(&quot;-12&quot;) V.digit(&quot;1.0&quot;)"},{"ref":"Validation.html#digit/2","title":"Validation.digit/2","type":"function","doc":"Validates whether the input is a valid digit, excluding specific characters. # true V.digit(&quot;1.0&quot;, &quot;.&quot;) V.digit(&quot;16-50&quot;, &quot;-&quot;) # false V.digit(&quot;&quot;) V.digit(&quot;1.%0&quot;, &quot;.&quot;) V.digit(&quot;3333316-5.0/&quot;, &quot;-.&quot;)"},{"ref":"Validation.html#email/1","title":"Validation.email/1","type":"function","doc":"Validates whether the input is a valid email. See RFC822 # true V.email(&quot;john@gmail.com&quot;) V.email(&quot;hello+world@mydomain.com&quot;) V.email(&quot;mail.email@foo.bar.com&quot;) # false V.email(&quot;plainaddress&quot;) V.email(&quot;#@%^%#$@#$@#.com&quot;) V.email(&quot;test@test.com.&quot;) V.email(&quot;.test@test.com&quot;) V.email(&quot;@domain.com&quot;)"},{"ref":"Validation.html#even/1","title":"Validation.even/1","type":"function","doc":"Validates whether the input is even. # true V.even(0) V.even(2) V.even(4) V.even(-2) V.even(9999998) # false V.even(1) V.even(5) V.even(-3) V.even(9999999)"},{"ref":"Validation.html#language_code/2","title":"Validation.language_code/2","type":"function","doc":"Validates a language code according to ISO 639: # true V.language_code(&quot;en&quot;) V.language_code(&quot;pt&quot;) V.language_code(&quot;en&quot;, :alpha2) V.language_code(&quot;pt&quot;, :alpha2) V.language_code(&quot;it&quot;, :alpha2) V.language_code(&quot;eng&quot;, :alpha3) V.language_code(&quot;por&quot;, :alpha3) V.language_code(&quot;ita&quot;, :alpha3) # false V.language_code(&quot;hi&quot;, :alpha2) V.language_code(&quot;foo&quot;, :alpha3) You can choose between alpha-2 and alpha-3, alpha-2 is set by default. The rules use data from iso-codes."},{"ref":"Validation.html#lowercase/1","title":"Validation.lowercase/1","type":"function","doc":"Validates whether the input is lowercase. # true V.lowercase(&quot;&quot;) V.lowercase(&quot;lowercase&quot;) V.lowercase(&quot;lowercase-with-dashes&quot;) V.lowercase(&quot;lowercase with spaces&quot;) V.lowercase(&quot;lowercase with specials characters like ã ç ê&quot;) # false V.lowercase(&quot;UPPERCASE&quot;) V.lowercase(&quot;CamelCase&quot;) V.lowercase(&quot;First Character Uppercase&quot;) V.lowercase(&quot;With Numbers 1 2 3&quot;)"},{"ref":"Validation.html#luhn/1","title":"Validation.luhn/1","type":"function","doc":"Validates whether the input is valid Luhn. # true V.luhn(&quot;9773725370&quot;) V.luhn(&quot;2222400041240011&quot;) V.luhn(&quot;340316193809364&quot;) # false V.luhn(&quot;&quot;) V.luhn(&quot;true&quot;) V.luhn(&quot;8888888888888887&quot;)"},{"ref":"Validation.html#mac_address/1","title":"Validation.mac_address/1","type":"function","doc":"Validates whether the input is a valid MAC address. # true V.mac_address(&quot;00:11:22:33:44:55&quot;) V.mac_address(&quot;66-77-88-99-aa-bb&quot;) V.mac_address(&quot;AF:0F:bd:12:44:ba&quot;) # false V.mac_address(&quot;&quot;) V.mac_address(&quot;00-1122:33:44:55&quot;)"},{"ref":"Validation.html#no/1","title":"Validation.no/1","type":"function","doc":"Validates if value is considered as &quot;No&quot;. # true V.no(&quot;N&quot;) V.no(&quot;n&quot;) V.no(&quot;Nay&quot;) V.no(&quot;No&quot;) V.no(&quot;Nope&quot;) V.no(&quot;Not&quot;) # false V.no(&quot;Donnot&quot;) V.no(&quot;Never&quot;) V.no(&quot;Niet&quot;) V.no(&quot;Noooooooo&quot;) V.no(&quot;Não&quot;) V.no(&quot;não&quot;)"},{"ref":"Validation.html#odd/1","title":"Validation.odd/1","type":"function","doc":"Validates whether the input is odd. # true V.odd(1) V.odd(5) V.odd(-11) V.odd(9999999) # false V.odd(0) V.odd(8) V.odd(-100) V.odd(9999998)"},{"ref":"Validation.html#subdivision_code/2","title":"Validation.subdivision_code/2","type":"function","doc":"Validates subdivision country codes (states, provincies, territories and other sub regions) according to ISO 3166-2. # true V.subdivision_code(&quot;US&quot;, &quot;TX&quot;) V.subdivision_code(&quot;BR&quot;, &quot;SP&quot;) V.subdivision_code(&quot;CA&quot;, &quot;BC&quot;) # false V.subdivision_code(&quot;US&quot;, &quot;AA&quot;) V.subdivision_code(&quot;BR&quot;, &quot;BB&quot;) V.subdivision_code(&quot;CA&quot;, &quot;CC&quot;) The rules use data from iso-codes."},{"ref":"Validation.html#tld/1","title":"Validation.tld/1","type":"function","doc":"Validates a top-level domain according to IANA. # true V.tld(&quot;com&quot;) V.tld(&quot;br&quot;) V.tld(&quot;cafe&quot;) V.tld(&quot;democrat&quot;) # false V.tld(&quot;1.0&quot;) V.tld(&quot;wrongtld&quot;)"},{"ref":"Validation.html#uppercase/1","title":"Validation.uppercase/1","type":"function","doc":"Validates whether the input is uppercase. # true V.uppercase(&quot;&quot;) V.uppercase(&quot;UPPERCASE&quot;) V.uppercase(&quot;UPPERCASE-WITH-DASHES&quot;) V.uppercase(&quot;UPPERCASE WITH SPACES&quot;) V.uppercase(&quot;UPPERCASE WITH NUMBERS 123&quot;) # false V.uppercase(&quot;lowercase&quot;) V.uppercase(&quot;CamelCase&quot;) V.uppercase(&quot;First Character Uppercase&quot;) V.uppercase(&quot;With Numbers 1 2 3&quot;)"},{"ref":"Validation.html#uuid/2","title":"Validation.uuid/2","type":"function","doc":"Validates whether the input is a valid UUID. It also supports validation of specific versions 1, 3, 4 and 5. # true V.uuid(&quot;e4eaaaf2-d142-11e1-b3e4-080027620cdd&quot;) V.uuid(&quot;11a38b9a-b3da-360f-9353-a5a725514269&quot;) V.uuid(&quot;25769c6c-d34d-4bfe-ba98-e0ee856f3e7a&quot;, 4) # false V.uuid(&quot;00000000-0000-aaaa-bbbb-cccccccccccc&quot;)"},{"ref":"Validation.html#vowel/1","title":"Validation.vowel/1","type":"function","doc":"Validates whether the input is has only vowels. # true V.vowel(&quot;a&quot;) V.vowel(&quot;o&quot;) V.vowel(&quot;u&quot;) V.vowel(&quot;aeiou&quot;) # false V.vowel(&quot;b&quot;) V.vowel(&quot;ul&quot;) V.vowel(&quot;16&quot;) V.vowel(&quot;\\r&quot;)"},{"ref":"Validation.html#vowel/2","title":"Validation.vowel/2","type":"function","doc":"Validates whether the input is has only vowels, excluding specific characters. # true V.vowel(&quot;aaaa==&quot;, &quot;=&quot;) V.vowel(&quot;aeoiu!!--&quot;, &quot;!-&quot;) # false V.vowel(&quot;b==aaaa&quot;, &quot;=&quot;) V.vowel(&quot;bc==aeoiu&quot;, &quot;b!-&quot;)"},{"ref":"Validation.html#yes/1","title":"Validation.yes/1","type":"function","doc":"Validates if value is considered as &quot;Yes&quot;. # true V.yes(&quot;Y&quot;) V.yes(&quot;Yea&quot;) V.yes(&quot;Yeah&quot;) V.yes(&quot;Yep&quot;) V.yes(&quot;Yes&quot;) V.yes(&quot;yes&quot;) # false V.yes(&quot;let\\&quot;s thrown an error&quot;) V.yes(&quot;Yydoesnotmatter&quot;) V.yes(&quot;Si&quot;) V.yes(&quot;Sim&quot;) V.yes(&quot;Yoo&quot;) V.yes(&quot;Yiip&quot;)"}]